Loading...
Searching...
No Matches
casacore::MSSpWindowIndex Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSSpWindowIndex.h>`

## Public Member Functions

| MSSpWindowIndex (const MSSpectralWindow &spectralWindow)
| Construct from an MS SPECTRAL_WINDOW subtable.
virtual | ~MSSpWindowIndex ()
| Null destructor.
Vector< Int > | matchFreqGrp (const Int &freqGrp)
| Look up SPECTRAL_WINDOW_ID's for a given frequency group or groups.
Vector< Int > | matchFreqGrp (const Vector< Int > &freqGrps)
Vector< Int > | matchFreqGrpName (const String &freqGrpName)
| Look up SPECTRAL_WINDOW_ID's for a given frequency group name.
Vector< Int > | matchFreq (const Vector< MFrequency > &chanFreq, const Vector< MVFrequency > &chanWidth, const Double &freqTol)
| Look up SPECTRAL_WINDOW_ID's for a given frequency axis sampling.

## Private Member Functions

| MSSpWindowIndex ()
| Disallow null constructor.

## Private Attributes

MSSpWindowColumns | msSpWindowCols_p
| SPECTRAL_WINDOW subtable column accessor.
Vector< Int > | spWindowIds_p
| Vector cache of SpWindow id's.
Int | nrows_p

## Detailed Description

Class to handle lookup or indexing into a MS SPECTRAL_WINDOW subtable

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSSpWindowription

### Etymology

From "MeasurementSet", "SPECTRAL_WINDOW subtable" and "index".

### Synopsis

This class provides lookup and indexing into an MS SPECTRAL_WINDOW subtable. These services include returning rows numbers (which for the SPECTRAL_WINDOW subtable are SPECTRAL_WINDOW_ID's) associated with specific data in the subtable.

### Example

### Motivation

Collect together all subtable indexing and lookup for the SPECTRAL_WINDOW subtable, for encapsulation and efficiency.

### Thrown Exceptions

Definition at line 80 of file MSSpWindowIndex.h.

## Constructor & Destructor Documentation

## MSSpWindowIndex() [1/2]

casacore::MSSpWindowIndex::MSSpWindowIndex | ( | const MSSpectralWindow & | spectralWindow | ) |

Construct from an MS SPECTRAL_WINDOW subtable.

## ~MSSpWindowIndex()

virtual casacore::MSSpWindowIndex::~MSSpWindowIndex | ( |  | ) |

inline virtual

Null destructor.

Definition at line 87 of file MSSpWindowIndex.h.

## MSSpWindowIndex() [2/2]

casacore::MSSpWindowIndex::MSSpWindowIndex | ( |  | ) |

private

Disallow null constructor.

## Member Function Documentation

## matchFreq()

Vector< Int > casacore::MSSpWindowIndex::matchFreq | ( | const Vector< MFrequency > & | chanFreq,
|  | const Vector< MVFrequency > & | chanWidth,
|  | const Double & | freqTol )

Look up SPECTRAL_WINDOW_ID's for a given frequency axis sampling.

## matchFreqGrp() [1/2]

Vector< Int > casacore::MSSpWindowIndex::matchFreqGrp | ( | const Int & | freqGrp | ) |

Look up SPECTRAL_WINDOW_ID's for a given frequency group or groups.

## matchFreqGrp() [2/2]

Vector< Int > casacore::MSSpWindowIndex::matchFreqGrp | ( | const Vector< Int > & | freqGrps | ) |

## matchFreqGrpName()

Vector< Int > casacore::MSSpWindowIndex::matchFreqGrpName | ( | const String & | freqGrpName | ) |

Look up SPECTRAL_WINDOW_ID's for a given frequency group name.

## Member Data Documentation

## msSpWindowCols_p

MSSpWindowColumns casacore::MSSpWindowIndex::msSpWindowCols_p

private

SPECTRAL_WINDOW subtable column accessor.

Definition at line 106 of file MSSpWindowIndex.h.

## nrows_p

Int casacore::MSSpWindowIndex::nrows_p

private

Definition at line 110 of file MSSpWindowIndex.h.

## spWindowIds_p

Vector<Int> casacore::MSSpWindowIndex::spWindowIds_p

private

Vector cache of SpWindow id's.

Definition at line 109 of file MSSpWindowIndex.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSSpWindowIndex.h